osl::rating::DropCaptured Class Reference

取った駒をすぐ使う More...

`#include <capture.h>`

Inheritance diagram for osl::rating::DropCaptured:

## Public Member Functions

| DropCaptured (Ptype ptype)
bool | match (const NumEffectState &, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Private Attributes

Ptype | ptype

## Detailed Description

取った駒をすぐ使う

Definition at line 69 of file capture.h.

## Constructor & Destructor Documentation

## DropCaptured()

osl::rating::DropCaptured::DropCaptured | ( | Ptype | ptype | ) |

Definition at line 18 of file capture.cc.

References osl::rating::Feature::Feature(), ptype, and osl::Ptype_Table.

## Member Function Documentation

## match()

bool osl::rating::DropCaptured::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 74 of file capture.h.

References osl::Move::capturePtype(), osl::container::MoveStack::hasLastMove(), osl::rating::RatingEnv::history, osl::Move::isDrop(), osl::Move::isNormal(), osl::container::MoveStack::lastMove(), osl::Move::ptype(), ptype, osl::PTYPE_EMPTY, and osl::unpromote().

## Member Data Documentation

## ptype

Ptype osl::rating::DropCaptured::ptype

private

Definition at line 71 of file capture.h.

Referenced by DropCaptured(), and match().

The documentation for this class was generated from the following files:

- capture.h
- capture.cc